Package org.apache.wiki.api.engine

# Interface RenderApi

public interface RenderApi

Rendering routines that all JSPWiki public API implementations should provide.

A `RenderApi` should be obtained from `Engine#getManager( RenderApi.class )`.

## Method Summary

Modifier and Type
Method
Description
`String`
`textToHTML(Context context, String pagedata)`
Converts raw page data to HTML.

## Method Details

### textToHTML

String textToHTML(Context context, String pagedata)
Converts raw page data to HTML.

Parameters:
  `pagedata` - Raw page data to convert to HTML
  `context` - The WikiContext in which the page is to be rendered
Returns:
  Rendered page text